#include "common.h"
#include "io.h"
#include "abcio.h"
#include "ff.h"
#include "console.h"

/*
 * Do a clean shutdown and reboot
 */
no_return shutdown(unsigned int type)
{
    /* Finish any SD card I/O and unmount the SD card */
    abcdisk_shutdown();

    con_puts("Rebooting...\n");
    reset(type);
}
